package com.gic.spark.util;

import com.alibaba.fastjson.JSONObject;
import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPost;

import java.io.IOException;
import java.util.Map;

/**
 * Created by paste on 2018/7/21 16:29
 * <p>
 * TODO: class description
 */
public class EsRequestUtil {

    public static String getESIindexName(Integer enterpriseId,boolean isProduction) {
        String url = isProduction?"https://ideal.demogic.com/member-config/member/index-version/" + enterpriseId
                                 :"https://four.gicdev.com/member-config/member/index-version/" + enterpriseId;
        HttpResponse response = getHttpResponseByGet(url,enterpriseId);
        int responseCode = response.getStatusLine().getStatusCode();
        if (responseCode == 200) {
            return  HttpClient.getResponseString(response);
        }
        return null;
    }


    public static HttpResponse getHttpResponseByGet(String url,Integer enterpriseId) {
        org.apache.http.client.HttpClient httpClient = HttpClient.getHttpClient();
        HttpGet get = new HttpGet(url);
        get.setHeader("sign",""+enterpriseId);
        get.setHeader("route","/spark");
        get.setHeader("project","memberfour");
        get.setHeader("isControl","true");
        get.setHeader("Refer",url);
        try {
            HttpResponse response = httpClient.execute(get);
            return response;
        } catch (ClientProtocolException var4) {
            var4.printStackTrace();
        } catch (IOException var5) {
            var5.printStackTrace();
        }

        return null;
    }

    public static String getIndexParam( Integer enterpriseId,Long id , boolean isProd) {
        String url = isProd?"https://four.gicdev.com/member-label/get-member-size-by-condition?sceneCrowdId="+id+"&enterpriseId="+enterpriseId
                :"https://four.gicdev.com/member-label/get-member-size-by-condition?sceneCrowdId="+id+"&enterpriseId="+enterpriseId;


        HttpPost httpPost = new HttpPost(url);
        httpPost.addHeader("Content-Type", "application/json;charset=UTF-8");
        httpPost.addHeader("project","member-tag");
        httpPost.addHeader("sign","1129");
        httpPost.addHeader("route","get-member-size-by-condition");
        HttpResponse response = null;
        try {
            response = HttpClient.getHttpClient().execute(httpPost);
            JSONObject json = JSONObject.parseObject(HttpClient.getResponseString(response));
            return json.getJSONObject("result").getJSONObject("result").toString();
        } catch (IOException e) {
            e.printStackTrace();
        }

        return null;
    }

    public static void main(String[] args) throws IOException {
        System.out.println(getIndexParam(1129,183676455182233606L,true));
    }
}
